%define upstream_name python-louvain

Name:           python-%{upstream_name}
Version:        0.13
Release:        %mkrel 4
Summary:        Louvain algorithm for community detection
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/taynaud/python-louvain
Source0:        https://files.pythonhosted.org/packages/96/b2/c74bb9023c8d4bf94f5049e3d705b3064c6f180a38d772055d20ba5a8d06/python-louvain-%{version}.tar.gz
BuildArch:      noarch

%description
Louvain algorithm for community detection.

%package -n     python3-%{upstream_name}
Summary:        Louvain algorithm for community detection
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
Louvain algorithm for community detection.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/community %{buildroot}%{_bindir}/community3

%files -n python3-%{upstream_name}
%{_bindir}/community3
%{python3_sitelib}/community
%{python3_sitelib}/python_louvain-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.13-4.mga8
+ Revision: 1608302
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.13-3.mga8
+ Revision: 1533719
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 0.13-2.mga8
+ Revision: 1445342
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.13-1.mga7
+ Revision: 1379967
- imported package python-python-louvain

